{% autoescape false %}
<div class="gn-content--spaced">
    <fieldset id="publicationEmailForm" {% if communication.sent %}disabled{% endif %}>
        <form id="publicationForm{{ communication.channel }}" method="post" action="{{ domain }}/action/save/publication" class="needs-validation" novalidate>
            <input type="hidden" name="current-url" value="{{ currentUrl }}" />
            <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
            <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
            <input type="hidden" name="communication-id" value="{{ communication.id }}" />
            <input type="hidden" name="communication-channel" value="{{ communication.channel }}" />
            <input type="hidden" name="communication-schedule-date" value="{{ communication.scheduleDate is empty ? '' : communication.scheduleDate|date('d/m/Y à H:i', 'Europe/Paris') }}" />
            <h2 class="fr-h4">
                {% if communication.sent %}
                    Contenu partag&eacute; par email par @{{ communication.publisher.login }} le {{ communication.sendingDate|date('d/m/Y à H:i', 'Europe/Paris') }}
                {% else %}
                    Partager ce contenu par email
                    {% if communication.scheduleDate %}
                        <p class="fr-badge fr-badge--success fr-badge--no-icon gn-text--lower fr-py-1v fr-px-2w right">
                            Votre communication email est planifi&eacute;e le {{ communication.scheduleDate|date('d/m/Y') }} &agrave; {{ communication.scheduleDate|date('H:i') }}
                        </p>
                    {% endif %}
                {% endif %}
            </h2>
            <div class="fr-grid-row fr-grid-row--gutters">
                <div class="fr-col fr-col-4">
                    <div class="fr-input-group">
                        <label class="fr-label" for="communication-sender-email">De</label>
                        <input class="fr-input" type="text" name="communication-sender" id="communication-sender-email" value="{{ organization.generalParameters.email }}" required>
                        <p id="communication-sender-email-input-error" class="fr-error-text">Veuillez saisir l'adresse email d'exp&eacute;dition.</p>
                    </div>
                </div>
                <div class="fr-col fr-col-8">
                    <div class="fr-select-group">
                        <label class="fr-label" for="communication-distributionList-email">Liste de diffusion</label>
                        <select class="fr-select" id="communication-distributionList-email" name="communication-distributionList" required>
                            <option value="" selected disabled hidden>Veuillez s&eacute;lectionner une liste de diffusion</option>
                            {% if distributionLists|length > 0 %}
                                {% for distribution in distributionLists %}
                                    {% set selected = '' %}
                                    {% if distribution.id == communication.content.distributionList.id %}
                                        {% set selected = 'selected' %}
                                    {% endif %}
                                    <option value="{{ distribution.id }}" {{ selected }}>{{ distribution.title }}</option>
                                {% endfor %}
                            {% else %}
                                <option value="">Aucune liste de diffusion, veuillez en cr&eacute;er une...</option>
                            {% endif %}
                        </select>
                        <p id="communication-distributionList-email-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une liste de diffusion.</p>
                    </div>
                </div>
            </div>

            <div class="fr-input-group fr-mt-2w">
                <label class="fr-label" for="communication-object-email">Objet</label>
                {% if communication.object is empty %}
                    {% set object = '[Communication ' ~ organization.generalParameters.label ~ '] ' ~ communication.content.title %}
                {% else %}
                    {% set object = communication.object %}
                {% endif %}
                <input class="fr-input" type="text" name="communication-object" id="communication-object-email" value="{{ object }}" required />
                <p id="communication-object-email-input-error" class="fr-error-text">Veuillez saisir un objet d'email.</p>
            </div>


                <input type="checkbox" id="toggle-edit-preview" hidden>
                <label role="button" class="fr-btn fr-btn--secondary fr-mt-2w fr-btn--icon-left fr-fi-edit-line" for="toggle-edit-preview"
                    data-gn-unchecked-class="fr-fi-edit-line" data-gn-unchecked-label="Éditer email"
                    data-gn-checked-class="fr-fi-eye-line" data-gn-checked-label="Prévisualiser l'email">Éditer email</label>
                                <hr>


            <div id="email-preview" class="fr-mb-2w">
            {{ block('preview', 'email/content-publication.html') }}
            </div>
            <div id="edit-email-textarea" class="fr-input-group">
                <label class="fr-label" for="communication-content-email">Contenu</label>
                <textarea class="fr-input" name="communication-content" id="communication-content-email" required>{{ communication.text }}</textarea>
                <p id="communication-content-email-input-error" class="fr-error-text">Veuillez saisir un contenu.</p>
            </div>

            <ul class="fr-btns-group fr-btns-group--inline fr-btns-group--icon-left">
                <li>
                    <button class="fr-btn fr-icon-save-3-line save-communication">
                        Enregistrer
                    </button>
                </li>
                <li>
                    <button class="fr-btn fr-btn--secondary fr-icon-timer-fill schedule-publication"
                        data-communication-id="{{ communication.id}}"
                        data-communication-schedule-date="{{ communication.scheduleDate is empty ? '' : communication.scheduleDate|date('Y-m-d H:i') }}">
                        Programmer
                    </button>
                </li>
                <li class="send-button">
                    {% if not communication.scheduleDate %}
                        <button class="fr-btn fr-icon-send-plane-line confirm-publication">
                            Envoyer
                        </button>
                    {% endif %}
                </li>
            </ul>
        </form>
    </fieldset>
</div>
{% endautoescape %}
